Bug 1411746 - python3-cherrypy-18.1.1 is available
Summary: python3-cherrypy-18.1.1 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python3-cherrypy
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Radez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1206250 1315805 1581404 1581407 1695172 1695803 1696250 1696399 1697687 1697711
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 12:17 UTC by Upstream Release Monitoring
Modified: 2019-08-22 07:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-22 07:52:29 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.59 KB, patch)
2017-01-10 12:17 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.16 KB, patch)
2017-01-14 00:15 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (16.27 KB, patch)
2017-01-17 12:16 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.13 KB, patch)
2017-01-20 00:16 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.19 KB, patch)
2017-01-21 00:18 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (16.35 KB, patch)
2017-02-08 12:17 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 10.1.1 (#1411746) (1.17 KB, patch)
2017-02-19 00:12 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2017-01-10 12:17:32 UTC
Latest upstream release: 8.8.0
Current version/release in rawhide: 8.7.0-1.fc26
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 1 Upstream Release Monitoring 2017-01-10 12:17:56 UTC
Patching or scratch build for python3-cherrypy-8.7.0 failed.

Comment 2 Upstream Release Monitoring 2017-01-10 12:17:59 UTC
Created attachment 1239070 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2017-01-10 12:18:01 UTC
Patches were not touched. All were applied properly

Comment 4 Upstream Release Monitoring 2017-01-14 00:14:42 UTC
Latest upstream release: 8.9.0
Current version/release in rawhide: 8.7.0-1.fc26
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 5 Upstream Release Monitoring 2017-01-14 00:15:02 UTC
Patching or scratch build for python3-cherrypy-8.7.0 failed.

Comment 6 Upstream Release Monitoring 2017-01-14 00:15:04 UTC
Created attachment 1240581 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 7 Upstream Release Monitoring 2017-01-14 00:15:07 UTC
Patches were not touched. All were applied properly

Comment 8 Upstream Release Monitoring 2017-01-17 12:16:06 UTC
Latest upstream release: 8.9.1
Current version/release in rawhide: 8.7.0-1.fc26
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 9 Upstream Release Monitoring 2017-01-17 12:16:27 UTC
Patching or scratch build for python3-cherrypy-8.7.0 failed.

Comment 10 Upstream Release Monitoring 2017-01-17 12:16:29 UTC
Created attachment 1241726 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 11 Upstream Release Monitoring 2017-01-17 12:16:32 UTC
Patches were not touched. All were applied properly

Comment 12 Upstream Release Monitoring 2017-01-20 00:15:40 UTC
Latest upstream release: 9.0.0
Current version/release in rawhide: 8.7.0-1.fc26
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 13 Upstream Release Monitoring 2017-01-20 00:16:01 UTC
Patching or scratch build for python3-cherrypy-8.7.0 failed.

Comment 14 Upstream Release Monitoring 2017-01-20 00:16:03 UTC
Created attachment 1242635 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 15 Upstream Release Monitoring 2017-01-20 00:16:06 UTC
Patches were not touched. All were applied properly

Comment 16 Upstream Release Monitoring 2017-01-21 00:18:33 UTC
Latest upstream release: 10.0.0
Current version/release in rawhide: 8.7.0-1.fc26
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 17 Upstream Release Monitoring 2017-01-21 00:18:53 UTC
Patching or scratch build for python3-cherrypy-8.7.0 failed.

Comment 18 Upstream Release Monitoring 2017-01-21 00:18:55 UTC
Created attachment 1243053 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 19 Upstream Release Monitoring 2017-01-21 00:18:57 UTC
Patches were not touched. All were applied properly

Comment 20 Upstream Release Monitoring 2017-02-08 12:17:12 UTC
Latest upstream release: 10.1.0
Current version/release in rawhide: 8.7.0-1.fc26
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 21 Upstream Release Monitoring 2017-02-08 12:17:33 UTC
Patching or scratch build for python3-cherrypy-8.7.0 failed.

Comment 22 Upstream Release Monitoring 2017-02-08 12:17:36 UTC
Created attachment 1248598 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 23 Upstream Release Monitoring 2017-02-08 12:17:38 UTC
Patches were not touched. All were applied properly

Comment 24 Upstream Release Monitoring 2017-02-19 00:12:19 UTC
Latest upstream release: 10.1.1
Current version/release in rawhide: 8.7.0-1.fc26
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 25 Upstream Release Monitoring 2017-02-19 00:12:25 UTC
Created attachment 1255317 [details]
[patch] Update to 10.1.1 (#1411746)

Comment 26 Upstream Release Monitoring 2017-02-19 00:14:16 UTC
hotness's scratch build of python3-cherrypy-10.1.1-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=17941042

Comment 27 Tomas Orsava 2017-02-22 10:44:41 UTC
Updated to v8.9.1 to solve a FTBFS. (#1424123)

Update to v10 and beyond requires packaging 2 more packages: portend and cheroot, for which I dreadfully lack time.

Comment 28 Upstream Release Monitoring 2017-03-12 12:12:59 UTC
Latest upstream release: 10.2.0
Current version/release in rawhide: 8.9.1-1.fc26
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 29 Upstream Release Monitoring 2017-03-12 12:13:03 UTC
An unexpected error occured creating the scratch build: please report this issue to the-new-hotness issue tracker at https://github.com/fedora-infra/the-new-hotness/issues

Comment 30 Upstream Release Monitoring 2017-03-14 00:12:26 UTC
Latest upstream release: 10.2.1
Current version/release in rawhide: 8.9.1-1.fc26
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 31 Upstream Release Monitoring 2017-03-14 00:12:30 UTC
An unexpected error occured creating the scratch build: please report this issue to the-new-hotness issue tracker at https://github.com/fedora-infra/the-new-hotness/issues

Comment 32 Upstream Release Monitoring 2017-05-18 00:10:24 UTC
Latest upstream release: 10.2.2
Current version/release in rawhide: 8.9.1-1.fc26
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 33 Upstream Release Monitoring 2017-05-18 00:10:30 UTC
An unexpected error occured creating the scratch build: please report this issue to the-new-hotness issue tracker at https://github.com/fedora-infra/the-new-hotness/issues

Comment 34 Upstream Release Monitoring 2017-07-09 00:10:37 UTC
Latest upstream release: 11.0.0
Current version/release in rawhide: 8.9.1-1.fc26
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 35 Upstream Release Monitoring 2017-07-09 00:10:41 UTC
Skipping the scratch build because an SRPM could not be built: ['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', u'/var/tmp/thn-RrMLeU/python3-cherrypy.spec'] returned 1: error: line 22: Unknown tag: Recommends: python3-routes >= 2.3.1

Comment 36 Upstream Release Monitoring 2017-10-29 12:10:37 UTC
Latest upstream release: 11.1.0
Current version/release in rawhide: 8.9.1-2.fc27
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 37 Upstream Release Monitoring 2017-10-29 12:10:42 UTC
Skipping the scratch build because an SRPM could not be built: ['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', u'/var/tmp/thn-PHZ7Y2/python3-cherrypy.spec'] returned 1: error: line 22: Unknown tag: Recommends: python3-routes >= 2.3.1

Comment 38 Upstream Release Monitoring 2017-11-18 12:10:45 UTC
Latest upstream release: 12.0.0
Current version/release in rawhide: 8.9.1-2.fc27
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 39 Upstream Release Monitoring 2017-11-18 12:10:50 UTC
Skipping the scratch build because an SRPM could not be built: ['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', u'/var/tmp/thn-97e4xE/python3-cherrypy.spec'] returned 1: error: line 22: Unknown tag: Recommends: python3-routes >= 2.3.1

Comment 40 Upstream Release Monitoring 2017-11-21 12:11:07 UTC
Latest upstream release: 12.0.1
Current version/release in rawhide: 8.9.1-2.fc27
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 41 Upstream Release Monitoring 2017-11-21 12:11:10 UTC
Skipping the scratch build because an SRPM could not be built: ['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', u'/var/tmp/thn-pkkkpZ/python3-cherrypy.spec'] returned 1: error: line 22: Unknown tag: Recommends: python3-routes >= 2.3.1

Comment 42 Upstream Release Monitoring 2017-12-18 00:10:48 UTC
Latest upstream release: 13.1.0
Current version/release in rawhide: 8.9.1-2.fc27
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 43 Upstream Release Monitoring 2017-12-18 00:10:55 UTC
Skipping the scratch build because an SRPM could not be built: ['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', u'/var/tmp/thn-1F0D5Q/python3-cherrypy.spec'] returned 1: error: line 22: Unknown tag: Recommends: python3-routes >= 2.3.1

Comment 44 Upstream Release Monitoring 2018-02-05 00:11:12 UTC
Latest upstream release: 14.0.0
Current version/release in rawhide: 8.9.1-2.fc27
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 45 Upstream Release Monitoring 2018-03-23 00:10:50 UTC
Latest upstream release: 14.0.1
Current version/release in rawhide: 8.9.1-3.fc28
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 46 Upstream Release Monitoring 2018-04-19 12:10:45 UTC
Latest upstream release: 14.1.0
Current version/release in rawhide: 8.9.1-3.fc28
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 47 Upstream Release Monitoring 2018-04-22 12:10:45 UTC
Latest upstream release: 14.2.0
Current version/release in rawhide: 8.9.1-3.fc28
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 48 Upstream Release Monitoring 2018-05-12 00:10:46 UTC
Latest upstream release: 15.0.0
Current version/release in rawhide: 8.9.1-3.fc28
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 49 Upstream Release Monitoring 2018-06-17 00:10:48 UTC
Latest upstream release: 16.0.0
Current version/release in rawhide: 8.9.1-3.fc28
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 50 Upstream Release Monitoring 2018-06-19 00:10:46 UTC
Latest upstream release: 16.0.2
Current version/release in rawhide: 8.9.1-3.fc28
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 51 Upstream Release Monitoring 2018-07-11 00:10:37 UTC
Latest upstream release: 16.0.3
Current version/release in rawhide: 8.9.1-4.fc29
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 52 Upstream Release Monitoring 2018-07-14 00:10:48 UTC
Latest upstream release: 17.0.0
Current version/release in rawhide: 8.9.1-4.fc29
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 53 Upstream Release Monitoring 2018-08-15 00:11:01 UTC
Latest upstream release: 17.2.0
Current version/release in rawhide: 8.9.1-5.fc29
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 54 Upstream Release Monitoring 2018-08-15 12:10:45 UTC
Latest upstream release: 17.2.0.post0
Current version/release in rawhide: 8.9.1-5.fc29
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 55 Upstream Release Monitoring 2018-08-17 00:10:53 UTC
Latest upstream release: 17.3.0
Current version/release in rawhide: 8.9.1-5.fc29
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 56 Upstream Release Monitoring 2018-09-02 00:11:01 UTC
Latest upstream release: 18.0.0
Current version/release in rawhide: 8.9.1-5.fc29
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 57 Upstream Release Monitoring 2018-09-10 00:10:55 UTC
Latest upstream release: 18.0.1
Current version/release in rawhide: 8.9.1-5.fc29
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 58 Lumír Balhar 2018-11-27 09:00:30 UTC
The newest version of python3-cherrypy (18.0.1) requires these packages:


backports.functools-lru-cache - requirement of cheroot - Python 2 only
more-itertools - available in Fedora
pytz - available in Fedora
six - available in Fedora
zc.lockfile - available in Fedora
cheroot - NA in Fedora
jaraco.functools - from tempora->portend->cherrypy - NA in Fedora
portend - NA in Fedora
tempora - NA in Fedora

Which means that we have to package at least four new packages before we would be able to update python3-cherrypy.

python3-cherrypy is required by these packages:

frepple
mnemosyne
python3-paste-script
python3-webpy

so we can ask their maintainers for help with packaging to unblock the update but honestly, only mnemosyne seems to be actively maintained so I would not count with any help.

Comment 59 Ken Dreyer (Red Hat) 2019-02-26 17:14:02 UTC
I've packaged the latest CherryPy 18.1.0 and all the dependencies into https://copr.fedorainfracloud.org/coprs/ktdreyer/python-cherrypy/ , so we can submit these into Fedora.

The test suite does need a newer path.py, so I'm blocking this on bz 1206250 .

Comment 60 Ken Dreyer (Red Hat) 2019-03-15 21:46:40 UTC
WIP update is here: https://src.fedoraproject.org/rpms/python-cherrypy/pull-request/2

We'll need to introduce the following new packages into Fedora (built in the Copr above):

python-cheroot
python-jaraco-classes
python-jaraco-functools
python-objgraph
python-portend
python-requests-unixsocket
python-tempora

Comment 61 Upstream Release Monitoring 2019-03-27 16:02:07 UTC
Latest upstream release: 18.1.1
Current version/release in rawhide: 8.9.1-6.fc30
URL: https://pypi.python.org/pypi/CherryPy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3799/

Comment 62 Lumír Balhar 2019-08-21 05:49:27 UTC
I don't think this bug should be closed. The update of cherrypy is still waiting for new packages (dependencies).

Comment 63 Dan Radez 2019-08-21 14:22:58 UTC
What packages are being waited for?

I had python3-cherry building here: https://apps.fedoraproject.org/packages/python3-cherrypy
I've just merged that spec in to python-cherrypy and rebuilt python-cherrypy

sudo dnf install --enablerepo rawhide python-cherrypy installs properly and cherrypy imports with no errors.

Comment 64 Lumír Balhar 2019-08-22 07:52:29 UTC
I am sorry. I was wrong.


Note You need to log in before you can comment on or make changes to this bug.